# eric7.Plugins.VcsPlugins.vcsMercurial.CloseheadExtension.ProjectHelper

Module implementing the closehead extension project helper.

### Global Attributes

None

### Classes

CloseheadProjectHelper | Class implementing the closehead extension project helper.

### Functions

None

## CloseheadProjectHelper

Class implementing the closehead extension project helper.

### Derived from

HgExtensionProjectHelper

### Class Attributes

None

### Class Methods

None

### Methods

CloseheadProjectHelper | Constructor
__hgClosehead | Private slot used to close arbitrary heads.
initActions | Public method to generate the action objects.
initMenu | Public method to generate the extension menu.
menuTitle | Public method to get the menu title.

### Static Methods

None

#### CloseheadProjectHelper (Constructor)

CloseheadProjectHelper()

Constructor

#### CloseheadProjectHelper.__hgClosehead

__hgClosehead()

Private slot used to close arbitrary heads.

#### CloseheadProjectHelper.initActions

initActions()

Public method to generate the action objects.

#### CloseheadProjectHelper.initMenu

initMenu(mainMenu)

Public method to generate the extension menu.

mainMenu (QMenu)
  reference to the main menu

Return:
  populated menu (QMenu)

#### CloseheadProjectHelper.menuTitle

menuTitle()

Public method to get the menu title.

Return:
  title of the menu

Return Type:
  str

Up